.open-sans-memolux {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
}

body {
    font-family: "Open Sans", sans-serif;
    color: white;
    height: 1920px;
    /* Set the height of the body to 1920px */
    max-width: 1080px;
    /* Set the maximum width of the body to 1080px */
    margin: 0 auto;
    /* Center the body horizontally */
    overflow: hidden;
    /* Hide any content that overflows the specified dimensions */
}

h1 {
    margin-top: 0;
}

/* Add this rule to ensure the body maintains the aspect ratio */
@media (max-width: 1080px) {
    body {
        height: auto;
    }
}



#inactivePopup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* Center the popup horizontally and vertically */
    background-color: white;
    padding: 20px;
    border: 1px solid black;
    z-index: 9999;
}

#imageEditPopup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* Center the popup horizontally and vertically */
    background-color: transparent;
    padding: 20px;
    border: 1px solid black;
    z-index: 1000;
}

.remainingTime {
    display: flex;
}

#overlay,
#editOverlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 999;
}

#imageContainer {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    /* 5 columns */
    grid-template-rows: repeat(2, auto);
    /* 2 rows */
    grid-auto-flow: column;
    /* Fill columns first, then rows */
    gap: 10px;
    /* Adjust gap between images as needed */
}

.image-container {
    display: inline-block;
    position: relative;
    margin: 10px;
}

.image-container img {
    width: 150px;
    /* Set the width of the image */
    height: 150px;
    /* Set the height of the image */
    object-fit: contain;
    /* Maintain aspect ratio and cover the container */
    padding: 5px;
    border: 2px solid #673AB7;
    border-radius: 5px;
    background-color: rgba(52, 44, 57, 0.36);
}

.placeholder {
    opacity: 0.5;
}

.text-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    /* Semi-transparent background */
    color: white;
    /* Text color */
    font-size: 16px;
    /* Adjust font size as needed */
    font-weight: bold;
    /* Make the text bold */
    text-align: center;
    /* Center the text */
    pointer-events: none;
    /* Allow clicks to pass through to the image */
    z-index: 999;
    /* Ensure the overlay is above the image */
}

.delete-button {
    position: absolute;
    top: -15px;
    right: 20px;
    background-color: #673AB7;
    color: white;
    border: none;
    padding: 5px;
    cursor: pointer;
    border-radius: 10px;
    width: 40px;
    height: 40px;
    font-weight: bold;
}


/* Grid layout for header, content, and footer */
#header,
#content,
#footer {
    width: 100%;
}

#main-background {
    background: rgb(36, 152, 99);
    background: linear-gradient(166deg, rgba(36, 152, 99, 1) 0%, rgba(114, 65, 160, 1) 66%, rgba(54, 119, 144, 1) 100%);
}

#header {
    grid-area: header;
    text-align: center;
    border-bottom: 1px solid black;
    height: 5vh;
}

.languageselector {
    position: absolute;
    top: 5px;
    right: 30px;
    padding: 10px;
    background: transparent;
    border: none;
}

#content {
    height: 60vh;
    display: grid;
}

.navigation {
    height: 25vh;
}

.tab {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-items: center;
    /* Centers items horizontally */
    align-items: center;
    /* Centers items vertically */
    height: 25vh;

}

.navigation-tab {
    width: 250px;
    height: 300px;
    background-color: #3c6e3c42;
    display: grid;
    justify-items: center;
    align-items: center;
    border: solid 5px #0000005c;
    border-radius: 10px;
}

.qr-code {
    padding: 5px;
    border: solid 4px;
    background: #fff;
    border-radius: 5px;
}

.main-content {
    display: grid;
    grid-template-columns: 10% 80% 10%;
    height: 35vh;
}

.previous-arrow-container,
.next-arrow-container {
    display: flex;
    justify-content: center;
    /* Center the arrow container horizontally */
    align-items: center;
    /* Center the arrow container vertically */
}

.arrow {
    cursor: pointer;
}

.upload-method {
    grid-column: 2;
    align-items: center;
    /* Center contents vertically */
    justify-content: center;
}

/* Styling for upload and upload-method classes */
#SmartphoneUpload {
    display: block;
    height: 100%;
}

.smartphone-upload {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    /* Ensure the content takes up the full height of the parent */
}

#StockImagesUpload {
    display: block;
    height: 100%;
}

#SelfieUpload {
    display: block;
    height: 100%;
}

#order {
    visibility: hidden;
    text-align: center;
    height: 25vh;
    /* Add your specific styles for the upload class here */
}

#footer {
    width: 100%;
    height: 10vh;
    background-color: #3a7e8d9e;
    /* Example background color */
    text-align: center;
    z-index: 2;
    display: grid;
    grid-template-columns: 2fr 1fr;
    /* Ensure the footer is above other content */
}

.upload-method {
    text-align: center;
    /* Add your specific styles for the upload-method class here */
}

.stock-image-grid {
    width: 100%;
}

.stock-image-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr;
    width: 100%;
    margin-bottom: 20px;
    position: relative;
}

.stock-image-container img {
    max-width: 100px;
    height: auto;
    width: 100%;
    object-fit: cover;
    max-height: 100px;
    margin: 16px;
}

.counter {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    align-items: center;
}

.counter-plate {
    padding: 20px;
    margin: 10px;
    border: solid 1px;
    border-radius: 25px;
}

.counter-plate.active {
    background: yellow;
}

.lds-dual-ring,
.lds-dual-ring:after {
    box-sizing: border-box;
}

.lds-dual-ring {
    display: inline-block;
    width: 80px;
    height: 80px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 64px;
    height: 64px;
    margin: 8px;
    border-radius: 50%;
    border: 6.4px solid currentColor;
    border-color: currentColor transparent currentColor transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#imageEditPopup {

    position: absolute;
    overflow: hidden;
}

#imageEditor {
    width: 850px;
    height: 1100px;
}

#editImage {
    width: 500px;
    height: 500px;
    object-fit: cover;
    /* Ensures the image covers the area */
}

/*To edit in the included cropper css later*/
.cropper-modal {
    background-color: #000000eb;
    opacity: .9;
}

.cropper-dashed {
    display: none;
}

.cropper-center {
    display: none;
}

.cropper-bg {
    background-image: none;
}

.cropper-view-box {
    outline: 10px solid #39f;
    outline-color: rgba(218, 225, 233, 1);
    border-radius: 1px;

}